﻿using Styx;
using Styx.Common;
using Styx.CommonBot;
using Styx.CommonBot.POI;
using Styx.CommonBot.Profiles;
using Styx.CommonBot.AreaManagement;
using Styx.Pathing;
using Styx.Helpers;
using Styx.WoWInternals;
using Styx.WoWInternals.WoWObjects;
using Styx.Plugins;

using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.IO;
using System.Linq;
using System.Net;
using System.Threading;
using Bots.DungeonBuddy.Helpers;
using System.Windows.Media;


namespace PotionOfLuck
{

    public class PotionOfLuck : HBPlugin
    {
        public override string Name { get { return "PotionOfLuck"; } }
        public override string Author { get { return "OppLy"; } }
        public override Version Version { get { return _version; } }
        private readonly Version _version = new Version(1, 0, 0, 0);
        private static LocalPlayer Me { get { return StyxWoW.Me; } }

        public override bool WantButton { get { return false; } }
		
		public int POTION_OF_LUCK_BUFF = 105694;
		public int POTION_OF_LUCK_ITEMID = 93351;

        public override void OnButtonPress()
        {
        }

        public override void Initialize()
        {
			base.Initialize();
			Logging.Write(Colors.LightCoral, "PotionOfLuck: plugin activated");
        }

        public override void Pulse()
        {
            try
            {
                if (!Me.Mounted
                        && !Me.IsFlying
                        && !Me.IsDead
                        && !Me.IsGhost
                        && !Me.OnTaxi
                        && !Me.IsOnTransport)
                {
                    if (!Me.HasAura(POTION_OF_LUCK_BUFF))
					{
						WoWItem potion = Me.BagItems.FirstOrDefault(h => h.Entry == POTION_OF_LUCK_ITEMID);

						if (potion == null)
						{
							Logging.Write(Colors.LightCoral, "PotOfLuck: No Potion of Luck found in bags...");
							return;
						}
						if (potion != null && potion.CooldownTimeLeft.TotalMilliseconds <= 0)
						{
							Logging.Write(Colors.LightCoral, "PotOfLuck: Using new Potion of Luck!");
							potion.Use();
						}
					}
				}
                return;
            }
            catch {}
        }
    }
}
